#ifndef SCENECONTROLLER_H
#define SCENECONTROLLER_H

#include <cstddef>

class Scene;
class Camera;

class SceneController
{
    Camera* camera;
    Scene* scene;
    int grabbed;
public:
    SceneController() : camera(NULL), scene(NULL), grabbed(0) {}

    void setScene(Scene* myScene);
    void mouseMove(int dx, int dy);
    void mouseEvent(int button, bool state);
    void keyEvent(int key, bool state);
};

#endif // SCENECONTROLLER_H
