#-------------------------------------------------
#
# Project created by QtCreator 2015-06-16T15:37:51
#
#-------------------------------------------------

QT       += core gui opengl

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = sparrowRenderer
TEMPLATE = app
CONFIG += c++11

INCLUDEPATH += ../cpp_dependencies/include
win32 {
	LIBS += -L../../cpp_dependencies/lib/win32
}

LIBS += -lglew32

SOURCES += main.cpp\
	mainwindow.cpp \
    myglwidget.cpp \
    shader.cpp \
    mesh.cpp \
    camera.cpp \
    scene.cpp \
    gridmesh.cpp \
	texture.cpp \
    phongmaterial.cpp \
    scenecontroller.cpp \
    sphere.cpp

HEADERS += mainwindow.h \
    myglwidget.h \
    shader.h \
    mesh.h \
    camera.h \
    glassert.h \
    scene.h \
    material.h \
	gridmesh.h \
	texture.h \
    phongmaterial.h \
    scenecontroller.h \
    sphere.h

FORMS   += mainwindow.ui

OTHER_FILES += *.frag *.vert *.glsl
